import request, { getToken } from "$lib/request";
import type { User, Meta } from "$lib/entities";

export async function load({ fetch, cookies }) {
	const meta = await request<Meta>("GET", "/meta", { fetchFn: fetch });

	let user;
	if (cookies.get("pronounscc-token")) {
		user = await request<User>("GET", "/users/@me", { fetchFn: fetch, token: getToken(cookies) });
	}

	return { meta, user, token: getToken(cookies) };
}
